Выпуск пакетного менеджера Apt 1.9

Подготовлен релиз инструментария для управления пакетами Apt 1.9 (Advanced Package Tool), развиваемого проектом Debian. Кроме Debian и производных от него дистрибутивов Apt также применяется в некоторых дистрибутивах на основе пакетного менеджера rpm, таких как PCLinuxOS и ALT Linux. Новый выпуск в ближайшее время будет интегрирован в ветку Debian Unstable и в пакетную базу Ubuntu 19.10.

Из изменений можно отметить:

  • Добавлены команды «apt satisfy» и «apt-get satisfy», позволяющие установить пакеты, требуемые для удовлетворения зависимостей, указанных в строке, переданной в качестве аргумента. В том числе можно перечислять несколько строк и указывать блоки «Conflicts:» для исключения зависимостей. Например, ‘apt-get satisfy «foo» «Conflicts: bar» «baz (>> 1.0) | bar (= 2.0), moo»‘;
  • Добавлены команды merge-translations и bump-abi;
  • Требование к версии стандарта C++ поднято до C++14;
  • В apt-helper добавлена поддержка указания нескольких хэшей для одного файла;
  • Осуществлено слияние библиотеки libapt-inst с libapt-pkg;
  • Внесены изменения в ABI, версия libapt-pkg.so повышена до 5.90;
  • Проведена чистка от устаревших флагов и осуществлено слияние различных прототипов функций.

Источник: opennet.ru

Добавить комментарий